Subject: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Adam Sjøgren <[email-masked]>
Date: Fri, 08 Nov 2019 22:19:06 +0100

Alan writes:

> Although I don’t understand why the png displays unscaled in a big
> canvas. We must have missed a check against the Picture member to
> prevent it resizing if there is no Picture.
>
> This is at the top of image_set_transform:
>
>     # if !defined USE_CAIRO && defined HAVE_XRENDER
>       if (!img->picture)
>         return;
>     # endif
>
> which should prevent any attempt to scale right at the start... I’m
> really not sure what’s going on there.

This is what stops the .xpm from being scaled, I think. At least I see
image_set_transform() being called for the .xpm, and that if() is hit
and it returns early.

The colormapped .png, however, passes by that if() and the entire
function is executed.